Subject: bug#32899: 27.0.50; wdired-do-renames: Speed up for long Emacs sessions

From: Brett Gilio <[email-masked]>
Date: Mon, 01 Oct 2018 13:05:46 -0500

Tino Calancha writes:

> Severity: wishlist
>
> In a long lived Emacs session with many buffers, we can
> get a significant improvement with `wdired-do-renames' if we
> drop an unnecessary step, i.e., if `dired-rename-file'
> calls `dired-rename-subdir' iif FILE is a directory.
>
> I observe gains as high as a factor 15.

I might be interested in looking into this further. Though, I 
wonder if
anybody else has any concerns as to why `dired-rename-file' was
implemented here as a step in the first place.

-- 
Brett M. Gilio
Free Software Foundation, Member
https://gnu.org/software/guix | https://emacs.org